tool
extends ESCItem
class_name ESCItemWithTooltip, "res://addons/escoria-core/design/esc_item.svg"

# Action 1 Label text
export(String) var action1_text = ""

# Action 2 Label text
export(String) var action2_text = ""

# Action 3 tooltip text if item in inventory
export(String) var action3_text = ""

# Action 4 tooltip text if item in inventory
export(String) var action4_text = ""

# Action 3 tooltip texts if item is target. Dictionary with tool's global id as key.
export(Dictionary) var action3_target_texts = {}

# Action 4 tooltip texts if item is target. Dictionary with tool's global id as key.
export(Dictionary) var action4_target_texts = {}

# If action used by player is in this list, this is a valid target (second item in combination)
export(Array) var target_when_selected_action_is_in = []
